org.eclipse.emf.facet.util.emf.core.catalog

## Interface ICatalogManagerConfiguration

    public interface ICatalogManagerConfiguration

Manager for catalogs containing registered elements defined in models.

Since:
  1.1
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canBeManaged(EObject root)` Return `true` if the eObject can be managed as a catalog entry.
`boolean` `isValid(EObject root)` Return `true` if the eObject is valid.

### Method Detail

#### canBeManaged

    boolean canBeManaged(EObject root)

Return `true` if the eObject can be managed as a catalog entry.

Parameters:
  `root` - the root element of a catalog
Returns:
  true if the parameter 'root' is of the right type to be a catalog root

#### isValid

    boolean isValid(EObject root)

Return `true` if the eObject is valid.

Parameters:
  `root` - the root element of a catalog
Returns:
  true if the parameter 'root' is is valid